Description

Hi all,

| search issues for various combinations of bulk/batch/edit/date, found various issues but nothing related to this.

Summary
Appreciated feature on single edit
When editing single issue, one can empty date fields (start, due date), that is :

e state before edit = field contains a date
¢ state after edit = field is blank.

Missing feature on bulk edit

When bulk editing, empty field in edit form means "do not change", not "remove value". Have | missed something ?

How to reproduce / usage scenario

e open issue list

¢ select several issues that have "start date" or "due date"

e right-click, in menu choose "edit"

¢ bulk edit page opens

¢ try to express that you want "start date" and/or "due date" to be empty after edit

expected

¢ see either an option, a conventional value, or, suggestion : a check box that says "remove value"
¢ click on checkbox

e click on "submit"

¢ see that date fields are now empty

observed
e wonder how to express that you want "start date" and/or "due date" to be empty after edit
e click on "submit"

e see that date fields are unchanged

Thank you for our attention.

PS: I'm wondering if this should be categorized as "UI" or "issues". This seemed to me more of a Ul issue, not a big deal on issue

handling side. Please correct if | chose wrong.

Related issues:

Related to Redmine - Defect #12775: Non-dictionary type custom field values I... Closed
Is duplicate of Redmine - Feature #2199: Ability to clear dates and text fiel... Closed
History
2025-08-23 12




#1 - 2012-03-05 09:55 - Etienne Massip

- Target version set to Candidate for next major release

Would rather add a special first item <keep actual value>,selected by default?

#2 - 2013-01-12 18:47 - Jean-Philippe Lang
- Subject changed from In bulk edit empty date fields to Allow to set blank value for date/text fields while bulk editing

#3 - 2013-01-15 10:48 - Daniel Felix
- Status changed from New to Closed
- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

I'm closing this in favor of #2199 which is pretty much the same feature request.
